import { getDaysBetweenCalendarDates } from "../dates";
export const calculateTotalGuestCartPrice = ({ cart, }) => {
    return cart.hotelRooms.reduce((total, hotelRoom) => {
        const depositRatio = hotelRoom.roomBlockDepositRatio
            ? hotelRoom.roomBlockDepositRatio
            : 0;
        const numberOfNights = getDaysBetweenCalendarDates({
            startCalendarDate: hotelRoom.calendarDateRange.startCalendarDate,
            endCalendarDate: hotelRoom.calendarDateRange.endCalendarDate,
        }).days;
        return (total +
            hotelRoom.offerPriceInCents *
                numberOfNights *
                hotelRoom.countAvailable *
                (1 - depositRatio));
    }, 0);
};
//# sourceMappingURL=calculateTotalGuestCartPrice.js.map